Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 117434 - rfe: auxprop ldapdb support
rfe: auxprop ldapdb support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: FutureFeature
Depends On: 117372
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 17:52 EST by Kaj J. Niemi
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.1.21-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 15:46:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ldapdb README from openldap/contrib (4.02 KB, text/plain)
2004-03-03 17:53 EST, Kaj J. Niemi
no flags Details
cyrus-sasl-2.1.17-ldapdb-building.patch applies to auto{conf,make,header} source files for a clean setup (3.58 KB, patch)
2004-03-03 17:56 EST, Kaj J. Niemi
no flags Details | Diff
diff against cyrus-sasl.spec version 2.1.17-1 (3.25 KB, patch)
2004-03-03 17:56 EST, Kaj J. Niemi
no flags Details | Diff
ldapdb.c from openldap/contrib (9.18 KB, text/plain)
2004-03-03 17:57 EST, Kaj J. Niemi
no flags Details

  None (edit)
Description Kaj J. Niemi 2004-03-03 17:52:02 EST
Description of problem:
Attached are patches against cyrus-sasl-2.1.17-1 enabling the use of
auxprop ldapdb as an authentication platform. This is useful in
situations where the passwords are stored in ldap and other
authentication methods than PLAIN/LOGIN are desired. The feature
integrates well with cyrus-imapd.

ldapdb is build only for the shared version of sasl2.

This has a dependency to bug #117372.

Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.17-1

Thanks.
Comment 1 Kaj J. Niemi 2004-03-03 17:53:22 EST
Created attachment 98263 [details]
ldapdb README from openldap/contrib
Comment 2 Kaj J. Niemi 2004-03-03 17:56:07 EST
Created attachment 98265 [details]
cyrus-sasl-2.1.17-ldapdb-building.patch applies to auto{conf,make,header} source files for a clean setup
Comment 3 Kaj J. Niemi 2004-03-03 17:56:54 EST
Created attachment 98266 [details]
diff against cyrus-sasl.spec version 2.1.17-1
Comment 4 Kaj J. Niemi 2004-03-03 17:57:57 EST
Created attachment 98267 [details]
ldapdb.c from openldap/contrib
Comment 5 Kaj J. Niemi 2004-03-03 18:00:11 EST
Regarding attachment 98267 [details] (ldapdb.c), I think it will be cleaner to
include the original ldapdb.c from openldap/contrib and then patch
away the "SASL_AUXPROP_PLUG_INIT ( ldapdb )" macro (and include it as
part of 
cyrus-sasl-2.1.17-ldapdb-building.patch).

I'll do that later this week or so.

Comment 6 Kaj J. Niemi 2004-03-03 18:07:48 EST
A source rpm is at <http://www.a51.org/sw/fedora/> if needed.
Comment 7 Oliver Falk 2004-12-21 07:06:56 EST
Please Nalin, the next week has been passed by allready. :-) I'd like
also to have this packaged into the package! And I think Kay made good
work here! Make it some present for X-Mas for us. :-)
Comment 8 Nalin Dahyabhai 2005-09-13 15:46:20 EDT
The auxprop support for ldapdb was included in upstream 2.1.21, which is in Raw
Hide now, so marking this closed in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.